Page MenuHomePhabricator

Language, Lexical Category, and Grammatical features of a lexeme do not show up in Special:WhatLinksHere
Closed, ResolvedPublic8 Story Points

Description

As an editor I want to find all the Lexemes that use an item in the Language, Lexical Category or Grammatical Feature fields on a Lexeme in order to get a better overview of the usage of the different languages, lexical categories and grammatical features.

Note: This is likely also relevant for purging when a label of the linked item changes for example.

Acceptance criteria:

  • Special:WhatLinksHere for any item that is used in a Lexeme's Language, Lexical Category or Grammatical Feature field shows those Lexemes.
  • The Lexmes are shown as "Lemma (L-ID)"

Example:

BDD

GIVEN I am on an item's WhatLinksHere page
AND   that item is used as one of Language, Lexical Category or Grammatical Feature on a Lexeme
THEN  the Lexeme shows up in the list on WhatLinksHere of that item

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I think it would help to not wait too long before fixing this.

Hi,

A small story to show why this is important (at least to me) and should be fixed quickly (in my opinion).

Special:WhatLinksHere can be used to do simple constraint checking.
For instance, in French Q6581072 and Q1775415 both have the label "féminin" and obvisouly, in lexeme, only the second on should be used. So https://www.wikidata.org/w/index.php?title=Special%3AWhatLinksHere&target=Q6581072&namespace=146 could be used to spot errors to correct (especially as there is no other tool available for the moment). Sadly, right now, this page doesn't display the lexemes linking to the item.
I took a simple example, but there is much more homonymous label that this special page can help to find.

Pablo-WMDE updated the task description. (Show Details)Jun 26 2018, 12:11 PM
Pablo-WMDE set the point value for this task to 8.
Pablo-WMDE added a subscriber: Pablo-WMDE.EditedJun 27 2018, 4:05 PM

Entity => to update

Items => statements (entity id), site links
Properties => statements (entity id)
Lexeme => statements (entity id), language (entity id) = T198296, lexical category (entity id) = T198299, grammatical features (entity id) = T198298

Vvjjkkii renamed this task from Language, Lexical Category, and Grammatical features of a lexeme do not show up in Special:WhatLinksHere to 9hcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 9hcaaaaaaa to Language, Lexical Category, and Grammatical features of a lexeme do not show up in Special:WhatLinksHere.Jul 2 2018, 4:42 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 8.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

@Lydia_Pintscher The BDD clearly states "the Lexeme shows up in the list on WhatLinksHere" yet we were wondering... would it not be more convenient to the user if, e.g. for grammatical features of a form, the very form where it is used is stated, not only the lexeme? /cc @Jakob_WMDE @WMDE-leszek

Tarrow added a subscriber: Tarrow.Jul 4 2018, 3:08 PM

Seems like a good question to ask but it also brings up questions like: what we do if multiple forms on one lexeme point to the same item?

Multiple entries?

Currently multiple statements on the same item only result in one link.

Well, at least the corresponding API (action=query&list=backlinks) is explicitly page-based: if there are multiple links between two pages, it doesn’t matter whether they’re from several wikitext links, or multiple statements, or components of different subentities – they’re all compressed into a single pair of two titles. And I assume the special page won’t be able to deviate from that.

Change 443852 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Make lexeme properties work with "What links here"

https://gerrit.wikimedia.org/r/443852

Yeah let's stick to one link per Lexeme even if there are several usages and/or if they are in a Form. The equivalent would be a Wikipedia article with a link in a section.

Change 443852 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make lexeme properties work with "What links here"

https://gerrit.wikimedia.org/r/443852

Will we need to refresh existing pages somehow to regenerate the page links or something?

I did a quick check and the purge done in T198301 seemed to work just fine.

Using the example https://www.wikidata.org/wiki/Lexeme:L5600 which should appear on https://www.wikidata.org/w/index.php?title=Special%3AWhatLinksHere&target=Q747537&namespace=146
The Item is included in both the Lemma language and Form representation language but doesn't appear in the special page list after purges.
It looks like we have a bug?

@Addshore I just made an edit on L5600 and now it appears on Special:WhatsLinksHere. I guess for the oldest Lexemes, purging is not enough ^^

Mentioned in SAL (#wikimedia-operations) [2018-09-17T10:28:14Z] <addshore> START addshore@mwmaint2001:~$ mwscript refreshLinks.php --wiki wikidatawiki --namespace 146 --e 56031711 54387042 # T195302 T195302

Mentioned in SAL (#wikimedia-operations) [2018-09-17T10:28:14Z] <addshore> START addshore@mwmaint2001:~$ mwscript refreshLinks.php --wiki wikidatawiki --namespace 146 --e 56031711 54387042 # T195302 T195302

Mentioned in SAL (#wikimedia-operations) [2018-09-17T10:28:24Z] <addshore> START addshore@mwmaint2001:~$ mwscript refreshLinks.php --wiki wikidatawiki --namespace 146 --e 56031711 54387042 # T195301 T195302

The script is running and will take some time.
I'll update on the sub ticket rather than here...

The script should have now finished.
Do we have any examples to currently look at to see if it worked?

Nikki added a subscriber: Nikki.Sep 17 2018, 9:34 PM

https://www.wikidata.org/w/index.php?title=Special%3AWhatLinksHere&target=Q33989&namespace=146 only listed 2 items this morning but now lists about 20.

I also made a quick script to fetch a list of lexemes linking to the language items and compared it to a list of all lexemes. For some reason, I still had to manually purge L2, L3 and L4 to get them to appear, but now it looks like everything is showing up.

It seems to happen again, example